<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class access extends core
{
    /*инициализация объектов для работы данного класса*/
    function access($value)
    {
        $this->core();
        
        $this->type    = (isset($value['type']))   ? $value['type']   : '';
        $this->suffix  = (isset($value['suffix'])) ? $value['suffix'] : '';
    }

    function get_access()
    {
        if (!$this->get_profile()) {
            
            $GLOBALS['rssite']['user']['user_status']   = 0;
            $GLOBALS['rssite']['user']['user_access']   = 0;            
        
        }
        
        return $GLOBALS['rssite']['user'];
    }

    function get_profile()
    {
        session_start();
        
        if (!isset($_SESSION['hash']))
            return FALSE;
    
        $hash = $this->tools->clear_string($_SESSION['hash']);

        $agent    = $_SERVER['HTTP_USER_AGENT'];
        $user_ip  = $_SERVER['REMOTE_ADDR'];
        
        $this->get_additional_fields();

        $sql = "SELECT "
                ."u.user_id as user_id, u.user_name as user_name, u.user_login as user_login, u.user_email as user_email, "
                ."u.user_status as user_status, u.user_access as user_access".$this->addSQL
            ." FROM rs_user u".( (!empty($this->addSQL)) ? ", rs_".$this->type."_".$this->suffix." f" : '' )
            ." WHERE"
                ." user_hash='".md5($hash.$agent.$user_ip)."'"
                ." AND u.user_more=".( (!empty($this->addSQL)) ? "f.group_id" : "'0'" );
        
        if (!$profile = $this->db->accept_select($sql))
            return FALSE;
        
        if (!empty($this->option))
            $this->get_option($profile);
        
        $profile = $profile[0];
        
        $GLOBALS['rssite']['user']['user_id']       = intval($profile['user_id']);
        $GLOBALS['rssite']['user']['user_name']     = $profile['user_name'];
        $GLOBALS['rssite']['user']['user_login']    = $profile['user_login'];
        $GLOBALS['rssite']['user']['user_email']    = $profile['user_email'];
        $GLOBALS['rssite']['user']['user_status']   = intval($profile['user_status']);
        $GLOBALS['rssite']['user']['user_access']   = intval($profile['user_access']);
        
        //$GLOBALS['rssite']['user']['user_site']     = $profile['field_site'];

        return TRUE;
    }

    // метод вывода имен опций
    function get_option(&$profile)
    {
        $option_id = array();
        
        foreach ($this->option as $field)
            $option_id[] = "'".$profile[0]['field_'.$field]."'";

        $sql = "SELECT option_value, option_id FROM rs_option WHERE option_id IN (".implode(',', $option_id).")";
        
        if (!$options = $this->db->accept_select($sql))
            return FALSE;
        
        foreach ($this->option as $field)
            foreach ($options as $option)
                if ($profile[0]['field_'.$field] == $option['option_id'])
                    $profile[0]['field_'.$field.'_name'] = $option['option_value'];
    }

    // метод поиска доп полей
    function get_additional_fields()
    {
        $this->option = array();
        
        // проверка на наличие дополнительных полей. $this->addSQL будет содержать дополнительную строку к SELECT запросу, или пустоту
        $sql = "SELECT"
                ." f.field_id as field_id, f.field_alias as field_alias, f.field_type as field_type"
            ." FROM rs_fields_group g LEFT JOIN rs_fields f ON g.group_id=f.group_id"
            ." WHERE 1=1"
                ." AND g.group_alias='".$this->type."'";
        
        $this->addSQL = array();
        
        if ($fields = $this->db->accept_select($sql))
            foreach ($fields as $field)
            {
                if ($field['field_type'] == 5)
                    $this->option[] = $field['field_alias'];
                
                $this->addSQL[] = ' f.field_'.$field['field_alias'].' as field_'.$field['field_alias'];
            }

        $this->addSQL = (!empty($this->addSQL)) ? ', '.implode(', ', $this->addSQL) : '';
    }
}
?>