<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/catalog/catalog.class.php');

$catalog = new catalog($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
	case 'browse':
		$massiv_tree[$value['tpl']] = $catalog->get_catalog($value['type']);
		break;
	case 'edit':
		if (isset($_GET['catalog_id'])) 	$catalog_id 			    = $catalog->tools->clear_int($_GET['catalog_id']);
		
		if (isset($_POST['catalog_id']))          $fields['catalog_id']         = $catalog->tools->clear_int($_POST['catalog_id']);
        if (isset($_POST['catalog_follow']))      $fields['catalog_follow']     = $catalog->tools->clear_int($_POST['catalog_follow']);
		if (isset($_POST['catalog_name']))        $fields['catalog_name']       = $catalog->tools->clear_string($_POST['catalog_name']);
		if (isset($_POST['catalog_link']))        $fields['catalog_link']       = $catalog->tools->clear_string($_POST['catalog_link']);
		if (isset($_POST['catalog_title']))       $fields['catalog_title']      = $catalog->tools->clear_string($_POST['catalog_title']);
		if (isset($_POST['catalog_alias']))       $fields['catalog_alias']      = $catalog->tools->get_translit($_POST['catalog_alias']);
		if (isset($_POST['catalog_desc']))        $fields['catalog_desc']       = $catalog->tools->clear_string($_POST['catalog_desc']);
		if (isset($_POST['catalog_key']))         $fields['catalog_key']        = $catalog->tools->clear_string($_POST['catalog_key']);
		
		if (count($fields) == 8)
        {
            if (isset($additional))
            {
                $fields['a_fields'] = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $fields['a_fields']['group_id'] = $additional->tools->clear_int($_POST['group_id']);
            }

            $catalog->edit_catalog($fields);
        }
				
		if (isset($catalog_id))
			$massiv_tree[$value['tpl']]['default'] = $catalog->get_edit_form($catalog_id);
            
        if (isset($additional) AND isset($catalog_id))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form_edit($catalog_id, $fields);
				
		break;
	case 'add':
		if (isset($_POST['catalog_name']))        $fields['catalog_name']       = $catalog->tools->clear_string($_POST['catalog_name']);
		if (isset($_POST['catalog_follow']))      $fields['catalog_follow']     = $catalog->tools->clear_int($_POST['catalog_follow']);
		if (isset($_POST['catalog_link']))        $fields['catalog_link']       = $catalog->tools->clear_string($_POST['catalog_link']);
		if (isset($_POST['catalog_title']))       $fields['catalog_title']      = $catalog->tools->clear_string($_POST['catalog_title']);
		if (isset($_POST['catalog_alias']))       $fields['catalog_alias']      = $catalog->tools->get_translit($_POST['catalog_alias']);
		if (isset($_POST['catalog_desc']))        $fields['catalog_desc']       = $catalog->tools->clear_string($_POST['catalog_desc']);
		if (isset($_POST['catalog_key']))         $fields['catalog_key']        = $catalog->tools->clear_string($_POST['catalog_key']);		
		
        if (empty($fields['catalog_name']))
            unset($fields['catalog_name']);
        
		if(count($fields) == 7)
        {
            if (isset($additional))
            {
                $fields['a_fields'] = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $fields['a_fields']['group_id'] = $additional->tools->clear_int($_POST['group_id']);
            }

            $catalog->add_catalog($fields);
        }

		$massiv_tree[$value['tpl']]['default'] = array();
        
        if (isset($additional))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form($fields);
		break;
	case 'parent':
		if (isset($_GET['catalog_id'])) 	$catalog_id 			= $catalog->tools->clear_int($_GET['catalog_id']);

		if (isset($_POST['catalog_id']))	    $fields['catalog_id']		= $catalog->tools->clear_int($_POST['catalog_id']);
		if (isset($_POST['catalog_parent']))	$fields['catalog_parent']	= $catalog->tools->clear_int($_POST['catalog_parent']);
		
		if (count($fields) == 2)
			$catalog->edit_parent($fields);
		
		if (isset($catalog_id))
		{
			if (!$massiv_tree[$value['tpl']] = $catalog->get_parent_list($catalog_id))
				$massiv_tree[$value['tpl']] = array();
		}
		
		break;
	case 'position':
		if (isset($_GET['catalog_id']))    $catalog_id		 = $catalog->tools->clear_int($_GET['catalog_id']);
		if (isset($_GET['step']))          $step             = $catalog->tools->clear_string($_GET['step']);
		
		if (!isset($catalog_id) OR !isset($step))
			die();
			
		if ($step != 'up' AND $step != 'down')
			die();
		
		$catalog->change_position($catalog_id, $step);
		break;
	case 'delete':
		if (isset($_GET['catalog_id'])) $catalog_id		 = $catalog->tools->clear_int($_GET['catalog_id']);
		
		if (!isset($catalog_id))
			die();
            
        if (isset($additional))
            $additional->delete_value($catalog_id);
			
		$catalog->delete_catalog($catalog_id);
		break;
}

?>