<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/fields/group/group.class.php');

$fields_group = new fields_group($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
	case 'browse':
		$massiv_tree[$value['tpl']] = $fields_group->show_all_group();
		break;
	case 'add':
		$fields = array();
        
        if (isset($_POST['group_name']))    $fields['group_name']    = $fields_group->tools->clear_string($_POST['group_name']);
		if (isset($_POST['group_alias']))   $fields['group_alias']   = $fields_group->tools->get_translit($_POST['group_alias']);
        
        if (count($fields) == 2)
            $fields_group->add_group($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
		break;
	case 'edit':
        if (isset($_GET['group_id']))    $group_id    = $fields_group->tools->clear_int($_GET['group_id']);
        
        if (isset($_POST['group_id']))      $fields['group_id']      = $fields_group->tools->clear_int($_POST['group_id']);
        if (isset($_POST['group_name']))    $fields['group_name']    = $fields_group->tools->clear_string($_POST['group_name']);

        if (count($fields) == 2)
            $fields_group->edit_group($fields);
        
        if (isset($group_id))
            $massiv_tree[$value['tpl']] = $fields_group->show_group($group_id);
		break;
	case 'delete':
		if (isset($_GET['group_id']))    $group_id    = $fields_group->tools->clear_int($_GET['group_id']);
		
        if (isset($group_id))
            $fields_group->delete_group($group_id);        
        break;
}
?>