<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class meta extends core
{
    /*инициализация объектов для работы данного класса*/
    function meta($value)
    {
        $this->core();
        $this->meta_id    = $value['meta'];
        $this->type       = $value['type'];
    }
        
    /* CASE : ENABLE */

    function get_meta()
    {
        $sql = "SELECT * FROM rs_meta WHERE meta_id = '".$this->meta_id."'";
        
        if (!$meta = $this->db->accept_select($sql))
            return array();
            
        return $meta;
    }
    
    function edit_meta(&$fields)
    {
        $sql = "SELECT * FROM rs_meta WHERE meta_id = '".$this->meta_id."'";
        
        if (!$meta = $this->db->accept_select($sql))
        {
            $fields['error'][0]    = "Нет такой записи в БД";
            return FALSE;            
        }

        if (empty($fields['meta_title']))
        {
            $fields['error'][1]    = "Пустое поле";
            return FALSE;
        }

        if (empty($fields['meta_desc']))
        {
            $fields['error'][2]    = "Пустое поле";
            return FALSE;
        }

        if (empty($fields['meta_key']))
        {
            $fields['error'][3]    = "Пустое поле";
            return FALSE;
        }
        
        $what = array(
            'meta_title'        => $fields['meta_title'],
            'meta_desc'         => $fields['meta_desc'],
            'meta_key'          => $fields['meta_key']
        );
        
        if (!$this->db->accept_update($what, 'rs_meta', "meta_id='".$this->meta_id."'"))
        {
            $fields['error'][4]    = "Cистемная ошибка";
            return FALSE;            
        }
        
        $this->tools->move_to("/admin/".$this->type."/");
    }
    
    /* CASE : BROWSE */
    
    public function getBrowse()
    {
        $sql = "SELECT * FROM rs_meta";
        
        if (!$meta = $this->db->accept_select($sql))
            return array();
            
        return $meta;
    }
    
    /* CASE : ADD */
    
    public function addMeta()
    {
        $what = array(
            'meta_title'    => '',
            'meta_desc'     => '',
            'meta_key'      => ''
        );
        
        $this->db->accept_insert($what, 'rs_meta');
        
        $this->tools->move_to("/admin/seo/");
    }
    
    /* CASE : DELETE */
    
    public function deleteMeta($meta_id)
    {
        $sql = "DELETE FROM rs_meta WHERE meta_id = '".$meta_id."'";
        
        $this->db->accept_delete($sql);
    }
}
?>