<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/notice/notice.class.php');

$notice = new notice();

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $massiv_tree[$value['tpl']] = $notice->get_notice();
        break;
    case 'add':
        $fields = array();
        
        if (isset($_POST['notice_name']))      $fields['notice_name']      = $notice->tools->clear_string($_POST['notice_name']);
        if (isset($_POST['notice_alias']))     $fields['notice_alias']     = $notice->tools->get_translit($_POST['notice_alias']);
        if (isset($_POST['notice_subject']))   $fields['notice_subject']   = $notice->tools->clear_string($_POST['notice_subject']);
        if (isset($_POST['notice_message']))   $fields['notice_message']   = $notice->tools->clear_html($_POST['notice_message']);
        
        if (count($fields) == 4)
            $notice->add_notice($fields);
            
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_GET['notice_id']))         $notice_id                  = $notice->tools->clear_int($_GET['notice_id']);
        
        if (isset($_POST['notice_id']))        $fields['notice_id']        = $notice->tools->clear_int($_POST['notice_id']);
        if (isset($_POST['notice_name']))      $fields['notice_name']      = $notice->tools->clear_string($_POST['notice_name']);
        if (isset($_POST['notice_alias']))     $fields['notice_alias']     = $notice->tools->get_translit($_POST['notice_alias']);
        if (isset($_POST['notice_subject']))   $fields['notice_subject']   = $notice->tools->clear_string($_POST['notice_subject']);
        if (isset($_POST['notice_message']))   $fields['notice_message']   = $notice->tools->clear_html($_POST['notice_message']);
        
        if (count($fields) == 5)
            $notice->edit_notice($fields);
        

        if (empty($fields))
            if (isset($notice_id))
                $fields = $notice->show_edit_form($notice_id);
            else
                $notice->tools->not_found();
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'delete':
        if (isset($_GET['notice_id']))         $notice_id                  = $notice->tools->clear_int($_GET['notice_id']);
        
        if (isset($notice_id))
            $notice->delete_notice($notice_id);
        
        die('ok');
        break;
}
?>