<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include("modules/registration/registration.class.php");

/*создаем объект*/
$registration = new registration($value);


switch($value['value'])
{
    case 'enable':
        $fields = array();
    
        if (isset($_POST['user_name']))     $fields['user_name']     = $registration->tools->clear_string($_POST['user_name']);
        if (isset($_POST['user_login']))    $fields['user_login']    = $registration->tools->clear_string($_POST['user_login']);
        if (isset($_POST['user_email']))    $fields['user_email']    = $registration->tools->clear_string($_POST['user_email']);
        if (isset($_POST['user_password'])) $fields['user_password'] = $registration->tools->clear_string($_POST['user_password']);
        if (isset($_POST['user_repeat']))   $fields['user_repeat']   = $registration->tools->clear_string($_POST['user_repeat']);
        
        if (count($fields) == 5)
            $registration->registrationUser($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'confirm':
        if (isset($_GET['event']))          $event                   = $registration->tools->clear_string($_GET['event']);        
        if (isset($_GET['key']))            $keyConfirm              = $registration->tools->clear_string($_GET['key']);        

        if (!isset($event))
            $registration->tools->not_found();
            
        if ($event != 'send')
            $registration->tools->not_found();
                
        if (!isset($keyConfirm))
            $registration->tools->not_found();
            
        if (empty($keyConfirm))
            $registration->tools->not_found();
            
        $registration->confirmUser($keyConfirm);
        break;
    case 'done':
        $massiv_tree[$value['tpl']] = array();
        break;
}


?>