<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();

function tpl_text($data) {
    $metaBrowse = $data['meta.browse'];
    ?>
    
    <script>
        function delete_meta(meta_id, step)
        {
            if (step == 0)
    		{
    			if (confirm("Вы уверены, что хотите удалить метатег?"))
    				delete_meta(meta_id, 1);
    		}
    		
    		if (step == 1)
    		{
    			$.get('/admin/seo/delete/', { meta_id: meta_id }, function ()
    			{
    				$('#metablock').load('/admin/seo/ #meta');
    			});
    		}
        }
    </script>

    <div id="metablock">
        <div id="meta">
            <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
            <tr>
              <td width="2%" height="30px" valign="top" class="admin_title_table">ID</td>
              <td width="96%" height="30px" valign="top" class="admin_title_table">Заголовок</td>
              <td width="2%" valign="top" align="right" class="admin_title_table"><a href="/admin/seo/add/"><img src="/templates/admin/img/add.png" border="0px"></a></td>
            </tr>
            <?
            if (!empty($metaBrowse)) {
                foreach ($metaBrowse as $meta) {
                    ?>
                    <tr>
                        <td valign="top" class="admin_table"><?=$meta['meta_id']?></td>
                        <td valign="top" class="admin_table"><? if ($meta['meta_title'] != '') { ?><?=$meta['meta_title']?><? } else { ?>&mdash;<? } ?></td>
                        <td class="admin_table" align="center"><a style="font-weight:100;" href="javascript: delete_meta('<?=$meta['meta_id']?>','0');"><img src="/templates/admin/img/del.png" border="0px"></a></td>
                    </tr>
                    <?
                }
            }
            else {
                ?>
                <tr>
                    <td colspan="2" class="admin_table">В базе данных нет мета-тегов.</td>
                </tr>
                <?
            }
            ?>
            </table>
        </div>
    </div>
    <?
}
?>