<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();

function tpl_text($data) {
    
    $group_id         = (isset($GLOBALS['groupid'])) ? $GLOBALS['groupid'] : '';
    $breadcrumbs      = $data['breadcrumbs.intro'];
    
    ?>
    <script>

        function change_position(id, step)
    	{
    		$.get('/admin/parameter/<?=( (!empty($group_id)) ? $group_id.'/' : '' )?>position/', {group_id: id, step: step}, function ()
    		{			
    				$('#group_block').load('/admin/parameter/<?=( (!empty($group_id)) ? $group_id.'/' : '' )?> #group');
    		});
    	}
        
        function delete_group(group_id, step)
    	{
    		if (step == 0)
    		{
    			if (confirm("Вы уверены, что хотите удалить группу?"))
    				delete_group(group_id, 1);
    		}
    		
    		if (step == 1)
    		{
                $.get('/admin/parameter/<?=( (!empty($group_id)) ? $group_id.'/' : '' )?>delete/', { group_id: group_id }, function ()
    			{
    				$('#group_block').load('/admin/parameter/<?=( (!empty($group_id)) ? $group_id.'/' : '' )?> #group');
    			});
    		}
    	}

    </script>

    <div id="group_block">
        <div id="group">

            <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
                <tr>
                    <td width="2%" height="30px" valign="top" class="admin_title_table">ID</td>
                    <td width="88%" height="30px" valign="top" class="admin_title_table">
                        Название группы параметров <br />
                        <small>
                            <?
                            $count = (count($breadcrumbs)) - 1;
                            foreach ($breadcrumbs as $key => $breadcrumb)
                                if ($key > 1) {
                                    if ($count == $key) {
                                        if ($key > 2) { ?>&nbsp;&rarr;&nbsp;<? } ?><?=$breadcrumb['name']?><?
                                    }
                                    else {
                                        ?><a href="<?=$breadcrumb['path']?>"><? if ($key > 2) { ?>&nbsp;&rarr;&nbsp;<? } ?><?=$breadcrumb['name']?></a><?
                                    }
                                 }
                            ?>
                        </small>
                    </td>
                    <td width="2%" valign="top" class="admin_title_table"></td>
                    <td width="2%" valign="top" class="admin_title_table"></td>
                    <td align="right" width="6%" colspan="3" valign="top" class="admin_title_table">
                        <a href="add/"><img src="/templates/admin/img/add.png" border="0px"></a>
                    </td>
                </tr>
                <?
                if (!empty($data['parameter.browse'])) {
                    $count = count($data['parameter.browse']);
                    foreach ($data['parameter.browse'] as $group) {
                        ?>
                        <tr>
                            <td valign="top" class="admin_table"><?=$group['group_id']?></td>
                            <td valign="top" class="admin_table"><?=$group['group_name']?></td>

                            <td class="admin_table" align="center" valign="top"><? if ($group['group_position'] != 1) { ?><a href="javascript: change_position('<?=$group['group_id']?>', 'up');"><img src="/templates/admin/img/up.png" border="0px"></a><? } else { ?>&nbsp;<? } ?></td>
                            <td class="admin_table" align="center" valign="top"><? if ($group['group_position'] != $count) { ?><a href="javascript: change_position('<?=$group['group_id']?>', 'down');"><img src="/templates/admin/img/down.png" border="0px"></a><? } else { ?>&nbsp;<? } ?></td>

                            <td class="admin_table" align="center" valign="top">
                                <a href="/admin/parameter/<?=( (!empty($group['group_parent'])) ? $group['group_parent'].'/' : '' )?><?=$group['group_id']?>/"><img border="0px" src="/templates/admin/img/file.png"></a>
                            </td>

                            <td class="admin_table" align="center" valign="top">
                                <a href="/admin/parameter/<?=( (!empty($group['group_parent'])) ? $group['group_parent'].'/' : '' )?><?=$group['group_id']?>/edit/"><img border="0px" src="/templates/admin/img/edit.png"></a>
                            </td>

                            <td class="admin_table" align="center" valign="top">
                                <a href="javascript: delete_group('<?=$group['group_id']?>','0');"><img src="/templates/admin/img/del.png" border="0px"></a>
                            </td>
                        </tr>
                        <?
                    }
                }
                else {
                    ?>
                    <tr>
                        <td colspan="5" class="admin_table">В базе данных нет групп пареметров.</td>
                    </tr>
                    <?
                }
                ?>
            </table>
        </div>
    </div>
    <?
}
?>