<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/groupaccess/groupaccess.class.php');

$groupaccess = new groupaccess($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $massiv_tree[$value['tpl']] = $groupaccess->get_group();
        break;
    case 'add':
        $fields = array();
        
        if (isset($_POST['group_name']))      $fields['group_name']      = $groupaccess->tools->clear_string($_POST['group_name']);
        if (isset($_POST['group_alias']))     $fields['group_alias']     = $groupaccess->tools->get_translit($_POST['group_alias']);
        
        if (count($fields) == 2)
            $groupaccess->add_group($fields);
            
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_GET['group_id']))         $group_id                  = $groupaccess->tools->clear_int($_GET['group_id']);
        
        if (isset($_POST['group_id']))        $fields['group_id']        = $groupaccess->tools->clear_int($_POST['group_id']);
        if (isset($_POST['group_name']))      $fields['group_name']      = $groupaccess->tools->clear_string($_POST['group_name']);
        if (isset($_POST['group_alias']))     $fields['group_alias']     = $groupaccess->tools->get_translit($_POST['group_alias']);
        
        if (count($fields) == 3)
            $groupaccess->edit_group($fields);
        
        if (empty($fields))
            if (isset($group_id))
                $fields = $groupaccess->show_edit_form($group_id);
            else
                $groupaccess->tools->not_found();
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'delete':
        if (isset($_GET['group_id']))         $group_id                  = $groupaccess->tools->clear_int($_GET['group_id']);
        
        if (isset($group_id))
            $groupaccess->delete_group($group_id);
        
        die('ok');
        break;
    case 'nbrowse':
        if (isset($_GET['group_id']))         $group_id                  = $groupaccess->tools->clear_int($_GET['group_id']);
        
        if (isset($group_id))
            $massiv_tree[$value['tpl']] = $groupaccess->get_nesting($group_id);
        else
            $groupaccess->tools->not_found();
        break;
    case 'nadd':
        $fields = array();
        
        if (isset($_GET['group_id']))         $group_id                  = $groupaccess->tools->clear_int($_GET['group_id']);
        
        if (isset($_POST['group_id']))        $fields['group_id']        = $groupaccess->tools->clear_int($_POST['group_id']);
        if (isset($_POST['user_id']))         $fields['user_id']         = $groupaccess->tools->clear_int($_POST['user_id']);

        if (count($fields) == 2)
            $groupaccess->add_user($fields);
        
        if (isset($group_id))
        {
            $massiv_tree[$value['tpl']]['users']    = $groupaccess->get_users($group_id);
            $massiv_tree[$value['tpl']]['form']     = $fields;
            $massiv_tree[$value['tpl']]['group_id'] = $group_id;
        }
        else
            $groupaccess->tools->not_found();
        break;
    case 'ndelete':
        if (isset($_GET['access_id']))         $access_id                  = $groupaccess->tools->clear_int($_GET['access_id']);
        
        if (isset($access_id))
            $groupaccess->delete_user($access_id);
        
        die('ok');
        break;
}
?>