<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class tag extends core
{
    function tag($value)
    {
        $this->core();
        $this->limit  = $value['limit'];
    }

    // CASE : TAGS
    function get_tags()
    {
        if($cache = $this->cache->readerCACHE('tags', $_GET['chpu_links'], 1*60*60, TRUE))
            return $cache;
        
        $sql = ''
            .'SELECT'
                .' tag.tag_id as tag_id,'
                .' tag.tag_name as tag_name,'
                .' tag.tag_alias as tag_alias,'
                .' COUNT(tag.tag_id) as tag_count'
            .' FROM'
                .' rs_tags tag'
            .' GROUP BY tag_alias'
            .' ORDER BY tag_count DESC'
            .' LIMIT '.$this->limit.' OFFSET 0';

        if (!$tags = $this->db->accept_select($sql))
            return array();
        
        // определяем максимольный вес тега и минимальный
        $weight = array(
            'max'    => 0,
            'min'    => 0
        );
        
        foreach ($tags as $tag)
            $weight = array(
                'max'    => ($weight['max'] == 0) ? $tag['tag_count'] : ( ($weight['max'] < $tag['tag_count'] ) ? $tag['tag_count'] : $weight['max'] ),
                'min'    => ($weight['min'] == 0) ? $tag['tag_count'] : ( ($weight['min'] > $tag['tag_count'] ) ? $tag['tag_count'] : $weight['min'] )
            );
        
        // среднее между максимальным значение и минимальным
        $center = (int)( (($weight['max'] - $weight['min']) / 2) + $weight['min'] );

        foreach ($tags as $key => $tag)
            $tags[$key]['weight'] = ($tag['tag_count'] == $weight['min']) ? 0 : ( ($tag['tag_count'] == $weight['max']) ? 3 : ( ($tag['tag_count'] <= $center) ? 1 : 2 ) );
        
        shuffle($tags);
        
        $this->cache->writeCACHE('tags', $_GET['chpu_links'], $tags, TRUE);
        
        return $tags;
    }

    // после запуска удалить    
    /* function install()
    {
        $sql = 'SELECT content_id, content_key FROM rs_content WHERE content_type=\'post\'';
        
        $contents = $this->db->accept_select($sql);
        
        $key_array = array();
        
        foreach ($contents as $content)
        {
            $keywords = explode(',', $content['content_key']);
            
            foreach ($keywords as $keyword)
            {
                $keyword = trim($keyword);
                
                $what = array(
                    'tag_name'        => $keyword,
                    'tag_alias'       => $this->tools->get_translit($keyword),
                    'content_id'      => $content['content_id']
                );
                
                $this->db->accept_insert($what, 'rs_tags');
            }
        }
    }*/
}
?>